Browse Source

gnu: guix-daemon: Install 'guix-authenticate'.

Fixes <https://bugs.gnu.org/33368>.
Reported by Konrad Hinsen <konrad.hinsen@fastmail.net>.

* gnu/packages/package-management.scm (guix-daemon)[arguments]: In
'install' phase, build "install-nodist_libexecSCRIPTS" target to install
'guix-authenticate'.
version-0.16.0
Ludovic Courtès 4 years ago
parent
commit
7a54b2281d
No known key found for this signature in database GPG Key ID: 90B11993D9AEBB5
  1. 3
      gnu/packages/package-management.scm

3
gnu/packages/package-management.scm

@ -345,7 +345,8 @@ the Nix package manager.")
(replace 'install
(lambda* (#:key outputs #:allow-other-keys)
(invoke "make" "install-binPROGRAMS"
"install-nodist_pkglibexecSCRIPTS")
"install-nodist_pkglibexecSCRIPTS"
"install-nodist_libexecSCRIPTS") ;guix-authenticate
;; We need to tell 'guix-daemon' which 'guix' command to use.
;; Here we use a questionable hack where we hard-code root's

Loading…
Cancel
Save